Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359741 - SELinux is preventing chronyc from 'write' accesses on the directory chrony.
Summary: SELinux is preventing chronyc from 'write' accesses on the directory chrony.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4b0df061d0dd6a9c1a39116f4c4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 11:37 UTC by Wolfgang Rupprecht
Modified: 2016-12-01 03:35 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-191.21.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 17:24:01 UTC


Attachments (Terms of Use)

Description Wolfgang Rupprecht 2016-07-25 11:37:25 UTC
Description of problem:
This occured during normal automatic operation.
SELinux is preventing chronyc from 'write' accesses on the directory chrony.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that chronyc should be allowed write access on the chrony directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'chronyc' --raw | audit2allow -M my-chronyc
# semodule -X 300 -i my-chronyc.pp

Additional Information:
Source Context                system_u:system_r:logrotate_t:s0-s0:c0.c1023
Target Context                system_u:object_r:chronyd_var_run_t:s0
Target Objects                chrony [ dir ]
Source                        chronyc
Source Path                   chronyc
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.5.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.6.4-301.fc24.x86_64 #1 SMP Tue
                              Jul 12 11:50:00 UTC 2016 x86_64 x86_64
Alert Count                   4
First Seen                    2016-06-06 05:06:05 PDT
Last Seen                     2016-07-25 00:06:18 PDT
Local ID                      60264b50-64f7-49c8-897c-2cbb28a1e2f8

Raw Audit Messages
type=AVC msg=audit(1469430378.277:292): avc:  denied  { write } for  pid=16793 comm="chronyc" name="chrony" dev="tmpfs" ino=21039 scontext=system_u:system_r:logrotate_t:s0-s0:c0.c1023 tcontext=system_u:object_r:chronyd_var_run_t:s0 tclass=dir permissive=0


Hash: chronyc,logrotate_t,chronyd_var_run_t,dir,write

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.6.4-301.fc24.x86_64
type:           libreport

Comment 1 Wolfgang Rupprecht 2016-08-09 17:08:18 UTC
Description of problem:
This happened during normal unattended operation.   config file available upon request.

Version-Release number of selected component:
selinux-policy-3.13.1-191.8.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.6.4-301.fc24.x86_64
type:           libreport

Comment 2 Wolfgang Rupprecht 2016-08-22 10:10:06 UTC
Description of problem:
seen during normal unattended operation.

Version-Release number of selected component:
selinux-policy-3.13.1-191.12.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.6.6-300.fc24.x86_64
type:           libreport

Comment 3 Fedora Admin XMLRPC Client 2016-09-27 15:15:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Stan King 2016-10-23 12:23:00 UTC
If it helps, I'm seeing this once or twice a day with selinux-policy-3.13.1-191.19.fc24.noarch.

Comment 5 Fedora Update System 2016-11-09 16:31:12 UTC
selinux-policy-3.13.1-191.21.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-abb3ede5d5

Comment 6 Fedora Update System 2016-11-11 05:01:01 UTC
selinux-policy-3.13.1-191.21.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-abb3ede5d5

Comment 7 Fedora Update System 2016-11-19 17:24:01 UTC
selinux-policy-3.13.1-191.21.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Stan King 2016-12-01 03:35:06 UTC
I no longer see the original error, but I see this one occasionally now:

SELinux is preventing chronyc from create access on the sock_file chronyc.8214.sock.

Shall I submit a new error report?


Note You need to log in before you can comment on or make changes to this bug.